%define major 16
%define libname %mklibname %name-glib %major
%define girmajor 1.0
%define girname_glib %mklibname %{name}glib-gir %{girmajor}
%define girname_plugin %mklibname %{name}plugin-gir %{girmajor}

%define develname %mklibname -d %name

Summary:	A DBUS packaging abstraction layer
Name:	  	packagekit
Version:	0.8.14
Release:	%mkrel 3
License:	GPLv2+
Group:		System/Packaging
Source0: 	http://www.packagekit.org/releases/PackageKit-%version.tar.xz
Patch0:		enable-backend.diff
Patch1:		50508ea3a1d365a81dbad6dbeaba141683ad52dc.patch
URL:		http://www.packagekit.org
BuildRequires: pkgconfig(cairo)
BuildRequires: pkgconfig(fontconfig)
BuildRequires: pkgconfig(gio-2.0) >= 2.16.1
BuildRequires: pkgconfig(gio-unix-2.0)
BuildRequires: pkgconfig(gio-unix-2.0) >= 2.16.1
BuildRequires: pkgconfig(glib-2.0) >= 2.32.0
BuildRequires: pkgconfig(gmodule-2.0)
BuildRequires: pkgconfig(gobject-2.0)
BuildRequires: pkgconfig(gstreamer-0.10)
BuildRequires: pkgconfig(gstreamer-plugins-base-0.10)
BuildRequires: pkgconfig(gtk+-2.0) >= 2.14.0
BuildRequires: pkgconfig(gtk+-3.0) >= 3.0.0
BuildRequires: pkgconfig(gudev-1.0)
BuildRequires: pkgconfig(libsystemd-login)
BuildRequires: pkgconfig(mozilla-plugin) >= 8.0
BuildRequires: pkgconfig(NetworkManager) >= 0.6.4
BuildRequires: pkgconfig(nspr) >= 4.8
BuildRequires: pkgconfig(pango)
BuildRequires: pkgconfig(pangoft2)
BuildRequires: pkgconfig(pm-utils)
BuildRequires: pkgconfig(polkit-gobject-1) >= 0.98
BuildRequires: pkgconfig(sqlite3)
BuildRequires: pkgconfig(xt)
BuildRequires:	intltool
BuildRequires:	gtk-doc
BuildRequires:	gobject-introspection
BuildRequires:	gobject-introspection-devel
BuildRequires:	bash-completion
Suggests:       %{name}-gtk-module = %{version}
Suggests:	packagekit-gui

%description
PackageKit is a DBUS abstraction layer that allows the session user to manage
packages in a secure way using a cross-distro, cross-architecture API.

%package -n %{libname}
Summary: Libraries for accessing PackageKit
Group: System/Packaging

%description -n %{libname}
Libraries for accessing PackageKit.

%package -n %{girname_glib}
Summary: GObject Introspection interface description for PackageKit
Group: System/Packaging
Requires: %{libname} = %{version}-%{release}
Conflicts: %{_lib}packagekit-glib14 < 0.6.17-2

%description -n %{girname_glib}
GObject Introspection interface description for PackageKit.

%package -n %{girname_plugin}
Summary: GObject Introspection interface description for PackageKit
Group: System/Packaging
Requires: %{libname} = %{version}-%{release}

%description -n %{girname_plugin}
GObject Introspection interface description for PackageKit.

%package -n %{develname}
Summary: Libraries and headers for PackageKit
Group: Development/Other
Requires: %{libname} = %{version}-%{release}
Requires: %{girname_glib} = %{version}-%{release}
Requires: %{girname_plugin} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Conflicts: %{_lib}packagekit-glib14 < 0.6.17-2

%description -n %{develname}
Headers and libraries for PackageKit.

%package cron
Summary: Cron job and related utilities for PackageKit
Group: System/Packaging
Requires: crontabs
Requires: %{name} = %{version}-%{release}

%description cron
Crontab and utilities for running PackageKit as a cron job.

%package gstreamer-plugin
Summary: Install GStreamer codecs using PackageKit
Group: System/Packaging
Requires: gstreamer0.10-tools
Requires(post): update-alternatives
Requires(postun): update-alternatives
Provides: gst-install-plugins-helper
Requires: %{name} = %{version}-%{release}

%description gstreamer-plugin
The PackageKit GStreamer plugin allows any Gstreamer application to install
codecs from configured repositories using PackageKit.

%package browser-plugin
Summary: Browser Plugin for PackageKit
Group: System/Packaging
Requires: %{name} = %{version}-%{release}

%description browser-plugin
The PackageKit browser plugin allows web sites to offer the ability to
users to install and update packages from configured repositories
using PackageKit.

%package command-not-found
Summary: Ask the user to install command line programs automatically
Group: System/Packaging
Requires: %{name} = %{version}-%{release}

%description command-not-found
A simple helper that offers to install new packages on the command line
using PackageKit.

%package gtk-module
Summary: Install fonts automatically using PackageKit
Group: System/Packaging
Requires: pango
Requires: %{name} = %{version}-%{release}

%description gtk-module
The PackageKit GTK+ module allows any Pango application to install
fonts from configured repositories using PackageKit.

%package gtk3-module
Summary: Install fonts automatically using PackageKit
Group: System/Packaging
Requires: pango
Requires: %{name} = %{version}-%{release}

%description gtk3-module
The PackageKit GTK3+ module allows any Pango application to install
fonts from configured repositories using PackageKit.

%package smart
Summary: PackageKit SMART backend
Group: System/Libraries
Requires: smart
Requires: %{name} = %{version}-%{release}

%description smart
A backend for PackageKit to enable SMART functionality.

%prep
%setup -q -n PackageKit-%version
%apply_patches

%build

# We do not install in /usr/libexec
sed -e 's,/usr/libexec,%{_libexecdir},g' -i contrib/command-not-found/PackageKit.sh.in
sed -e 's,/usr/libexec,%{_libexecdir},g' -i contrib/command-not-found/PackageKit.sh

%configure2_5x --disable-static \
	--enable-gstreamer-plugin \
	--disable-alpm \
	--disable-apt \
	--disable-box \
	--disable-conary \
	--enable-dummy \
	--disable-opkg \
	--disable-pisi \
	--disable-poldek \
	--enable-smart \
	--enable-urpmi \
	--enable-introspection \
	--disable-yum \
	--disable-zypp \
	--with-default-backend=urpmi
find -name '*.moc' -exec rm -f {} \;
%make V=1

%install
rm -rf %{buildroot}
%makeinstall_std

find %{buildroot} -name *.la | xargs rm

%{find_lang} PackageKit

%post
# the job count used to live in /var/run, but it's now in /var/lib with the
# other persistent bits
if [ -e %{_localstatedir}/run/PackageKit/job_count.dat ]; then
	mv %{_localstatedir}/run/PackageKit/job_count.dat %{_localstatedir}/lib/PackageKit/job_count.dat
fi

%files -f PackageKit.lang
%dir %{_sysconfdir}/PackageKit
%config(noreplace) %{_sysconfdir}/PackageKit/PackageKit.conf
%config(noreplace) %{_sysconfdir}/PackageKit/Vendor.conf
%config(noreplace) %{_sysconfdir}/PackageKit/CommandNotFound.conf
%{_sysconfdir}/PackageKit/events/post-transaction.d/README
%{_sysconfdir}/PackageKit/events/pre-transaction.d/README
%{_sysconfdir}/dbus-1/system.d/*.conf
%{_unitdir}/packagekit.service
%{_unitdir}/packagekit-offline-update.service
%{_bindir}/*
%{_datadir}/PackageKit
%{_datadir}/polkit-1/actions/*.policy
%{_datadir}/bash-completion/completions/pkcon
%{_datadir}/dbus-1/system-services/*.service
%{_datadir}/dbus-1/interfaces/*.xml
%{_datadir}/polkit-1/rules.d/org.freedesktop.packagekit.rules
%{_datadir}/gtk-doc/html/PackageKit
%{python_sitelib}/packagekit
%{_libexecdir}/packagekitd
%{_libexecdir}/pk-clear-offline-update
%{_libexecdir}/pk-offline-update
%{_libexecdir}/pk-trigger-offline-update
%dir %{_libdir}/packagekit-plugins
%{_libdir}/packagekit-plugins/libpk_plugin-scan-desktop-files.so
%{_libdir}/packagekit-plugins/libpk_plugin_scripts.so
%{_libdir}/packagekit-plugins/libpk_plugin-systemd-updates.so
%{_libdir}/packagekit-plugins/libpk_plugin-update-package-cache.so
%dir %{_libdir}/packagekit-backend
%{_libdir}/packagekit-backend/libpk_backend_dummy.so
%{_libdir}/packagekit-backend/libpk_backend_test_fail.so
%{_libdir}/packagekit-backend/libpk_backend_test_nop.so
%{_libdir}/packagekit-backend/libpk_backend_test_spawn.so
%{_libdir}/packagekit-backend/libpk_backend_test_succeed.so
%{_libdir}/packagekit-backend/libpk_backend_test_thread.so
%{_libdir}/packagekit-backend/libpk_backend_urpmi.so
%{_mandir}/man1/*
%ghost %verify(not md5 size mtime) %{_var}/lib/PackageKit/transactions.db

%files -n %{libname}
%{_libdir}/*packagekit-glib*.so.%{major}*

%files -n %{girname_glib}
%{_libdir}/girepository-1.0/PackageKitGlib-%{girmajor}.typelib

%files -n %{girname_plugin}
%{_libdir}/girepository-1.0/PackageKitPlugin-%{girmajor}.typelib

%files -n %{develname}
%{_includedir}/PackageKit
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/PackageKitGlib-%{girmajor}.gir
%{_datadir}/gir-1.0/PackageKitPlugin-%{girmajor}.gir

%files cron
%config %{_sysconfdir}/cron.daily/*.cron
%config %{_sysconfdir}/sysconfig/packagekit-background

%files gstreamer-plugin
%{_libexecdir}/pk-gstreamer-install

%post gstreamer-plugin
update-alternatives --install %{_libexecdir}/gst-install-plugins-helper gst-install-plugins-helper %{_libexecdir}/pk-gstreamer-install 10

%postun gstreamer-plugin
if [ "$1" = "0" ]; then
    if ! [ -e %{_libexecdir}/pk-gstreamer-install ]; then
        update-alternatives --remove gst-install-plugins-helper %{_libexecdir}/pk-gstreamer-install
    fi
fi

%files browser-plugin
%{_libdir}/mozilla/plugins/packagekit-plugin.*

%files command-not-found
%{_sysconfdir}/profile.d/*
%{_libexecdir}/pk-command-not-found

%files gtk-module
%{_libdir}/gtk-2.0/modules/*.so

%files gtk3-module
%{_libdir}/gtk-3.0/modules/*.so
%{_libdir}/gnome-settings-daemon-3.0/gtk-modules/pk-gtk-module.desktop

%files smart
%{_libdir}/packagekit-backend/libpk_backend_smart.so
%dir %{_datadir}/PackageKit/helpers/smart
%{_datadir}/PackageKit/helpers/smart/*



%changelog
* Sat Jan 11 2014 dmorgan <dmorgan> 0.8.14-3.mga4
+ Revision: 566230
- Fix BuildRequires

* Mon Jan 06 2014 pterjan <pterjan> 0.8.14-2.mga4
+ Revision: 564989
- Add missing annotation in DBUS interface to fix packagekit-qt build

* Thu Dec 12 2013 tv <tv> 0.8.14-1.mga4
+ Revision: 556452
- new release
- enable backend

* Sat Oct 19 2013 umeabot <umeabot> 0.8.10-3.mga4
+ Revision: 530882
- Mageia 4 Mass Rebuild

* Tue Jul 30 2013 fwang <fwang> 0.8.10-2.mga4
+ Revision: 460838
- cleanup spec
- update file list

  + tv <tv>
    - new release

* Fri May 24 2013 tv <tv> 0.8.9-1.mga4
+ Revision: 426534
- adjust file list
- adjust file list
- BR bash-completion
- new release

* Thu Feb 14 2013 fwang <fwang> 0.8.6-7.mga3
+ Revision: 398367
- recognize gstreamer1

* Tue Jan 22 2013 fwang <fwang> 0.8.6-6.mga3
+ Revision: 390697
- update rpm group
- update rpm group

* Sun Jan 13 2013 umeabot <umeabot> 0.8.6-5.mga3
+ Revision: 362339
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 06 2012 fwang <fwang> 0.8.6-4.mga3
+ Revision: 327147
- update rpm group

  + tv <tv>
    - enable smart backend (mga#7109)

* Mon Dec 03 2012 tv <tv> 0.8.6-3.mga3
+ Revision: 325721
- patch 5: actually enable backend

* Sat Dec 01 2012 tv <tv> 0.8.6-2.mga3
+ Revision: 323915
- patch 4: important urpmi fixes from git

* Sat Dec 01 2012 fwang <fwang> 0.8.6-1.mga3
+ Revision: 323683
- update file list
- update file list
- update file list
- update file list
- update brs
- new version 0.8.6 for better support on urpmi

* Thu Jul 19 2012 ovitters <ovitters> 0.7.5-1.mga3
+ Revision: 272636
- add subpackage for packagekitplugin gir
- update file list even more
- update file list
- update file list
- qtlib subpackage has been removed upstream (qtlib2 exists)
- explicitly enable qt plugin
- add upstream patch to fix build
- new version 0.7.5 (less api breaks)
- new version 0.8.1
- verbose build
- clean spec
- drop upstreamed patch 5
- rediff patches
- new version 0.7.4

* Sun Mar 11 2012 fwang <fwang> 0.6.21-3.mga2
+ Revision: 222573
- br xt
- add mandriva patch on providing what-provides feature

* Wed Jan 04 2012 fwang <fwang> 0.6.21-2.mga2
+ Revision: 190642
- rebuild for new libarchive

* Mon Dec 26 2011 fwang <fwang> 0.6.21-1.mga2
+ Revision: 187745
- new version 0.6.21
- new version 0.6.20

* Sun Nov 06 2011 fwang <fwang> 0.6.19-1.mga2
+ Revision: 164386
- new version 0.6.19

* Mon Sep 26 2011 fwang <fwang> 0.6.18-2.mga2
+ Revision: 148781
- update file list
- revert to 0.6.18, urpmi backend is not maintained now
- new version 0.7.0
  only build urpmi backend, as we dont have smrt now

* Fri Sep 16 2011 ovitters <ovitters> 0.6.18-1.mga2
+ Revision: 144334
- add patch
- make it build with qt 4.7 and newest glib
- new version 0.6.18 (doesn't build yet, dmorgan would help fix it)

  + fwang <fwang>
    - gir should require libs
    - split gir files
    - new verrsion 0.6.17
    - update qtlib2 package name

  + stormi <stormi>
    - increase default max search time for packagekit-command-not-found (fixes mga bug #2183)

* Mon Jul 18 2011 dmorgan <dmorgan> 0.6.16-4.mga2
+ Revision: 125620
- Disable time estimation

* Sun Jul 17 2011 dmorgan <dmorgan> 0.6.16-3.mga2
+ Revision: 125518
- Enable suggests on packagekit-gtk-module now that we have font provides
  add more requires

* Sun Jul 17 2011 dmorgan <dmorgan> 0.6.16-2.mga2
+ Revision: 125512
- Fix path to packagekitd

* Tue Jul 05 2011 fwang <fwang> 0.6.16-1.mga2
+ Revision: 118700
- new version 0.6.16

* Wed Jun 15 2011 dmorgan <dmorgan> 0.6.15-2.mga2
+ Revision: 106389
- Create gtk3-module subpackage

* Wed Jun 15 2011 dmorgan <dmorgan> 0.6.15-1.mga2
+ Revision: 106384
- Add gtk3 as buildrequire
- New version 0.6.15

* Sun May 15 2011 pterjan <pterjan> 0.6.13-3.mga1
+ Revision: 98937
- Rebuild for fixed find-requires

* Wed Apr 13 2011 mikala <mikala> 0.6.13-2.mga1
+ Revision: 84617
- Add patch100 to fix a crash when browsing groups in kpackagekit

* Wed Apr 13 2011 mikala <mikala> 0.6.13-1.mga1
+ Revision: 84549
- Update tarball to 0.6.13
- Update patch1 :
  Remove the url regarding mandriva wiki
  Use mageia icon
- Add patch2 for urpmi backend:
  Disable backend_get_distro_upgrades for the moment
  Use mageia bugzilla for http
  Use mageia occurence instead of mandriva

* Sun Feb 20 2011 eandry <eandry> 0.6.11-2.mga1
+ Revision: 54927
- fix vendor patch (still needs a valid mageia wiki url)
- drop buildroot
- imported package packagekit


* Wed Dec 22 2010 Funda Wang <fwang@mandriva.org> 0.6.11-1mdv2011.0
+ Revision: 623753
- update to new version 0.6.11

* Fri Nov 05 2010 Funda Wang <fwang@mandriva.org> 0.6.10-2mdv2011.0
+ Revision: 593626
- use alternative to satisfy gst-base

* Thu Nov 04 2010 Funda Wang <fwang@mandriva.org> 0.6.10-1mdv2011.0
+ Revision: 593308
- new version 0.6.10
- enable gstreamer codec installation plugin

* Mon Nov 01 2010 Götz Waschk <waschk@mandriva.org> 0.6.9-3mdv2011.0
+ Revision: 591469
- rebuild for new python 2.7

  + Michael Scherer <misc@mandriva.org>
    - rebuild for python 2.7

* Wed Oct 06 2010 Funda Wang <fwang@mandriva.org> 0.6.9-1mdv2011.0
+ Revision: 583494
- New version 0.6.9

* Thu Sep 16 2010 Götz Waschk <waschk@mandriva.org> 0.6.7-2mdv2011.0
+ Revision: 578946
- rebuild for new gobject-introspection

* Mon Aug 16 2010 Emmanuel Andry <eandry@mandriva.org> 0.6.7-1mdv2011.0
+ Revision: 570330
- New version 0.6.7

* Thu Jul 29 2010 Funda Wang <fwang@mandriva.org> 0.6.6-2mdv2011.0
+ Revision: 563174
- rebuild for new gobject-introspection

* Tue Jul 27 2010 Funda Wang <fwang@mandriva.org> 0.6.6-1mdv2011.0
+ Revision: 561862
- New version 0.6.6

* Mon Jun 21 2010 Anssi Hannula <anssi@mandriva.org> 0.6.3-3mdv2010.1
+ Revision: 548446
- fix update-system command and passing of only_trusted parameter
  (fix-perform_updates-params.patch)

* Mon May 10 2010 Frederic Crozat <fcrozat@mandriva.com> 0.6.3-2mdv2010.1
+ Revision: 544357
- Fix buildrequires
- Do not suggest packagekit-gtk-module (not useful ATM)

  + Emmanuel Andry <eandry@mandriva.org>
    - enable introspection
    - New version 0.6.3
    - update files list

* Wed Mar 17 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.6.2-1mdv2010.1
+ Revision: 524011
- Fix file list
- Fix file list
  Major changed => 14

* Tue Feb 02 2010 Funda Wang <fwang@mandriva.org> 0.6.1-1mdv2010.1
+ Revision: 499424
- New version 0.6.1
- urpmiapi patch merged upstream
- fix polkit module linkage

* Wed Jan 13 2010 Frederic Crozat <fcrozat@mandriva.com> 0.6.0-2mdv2010.1
+ Revision: 490572
- add a suggests on GUI virtual package

* Thu Jan 07 2010 Frederic Crozat <fcrozat@mandriva.com> 0.6.0-1mdv2010.1
+ Revision: 487241
- Release 0.6.0
- Patch1: fix URPMI backend api

* Tue Dec 08 2009 Funda Wang <fwang@mandriva.org> 0.5.5-1mdv2010.1
+ Revision: 474642
- new version 0.5.5

* Fri Nov 06 2009 Funda Wang <fwang@mandriva.org> 0.5.4-1mdv2010.1
+ Revision: 460641
- New version 0.5.4

* Fri Oct 09 2009 Funda Wang <fwang@mandriva.org> 0.5.2-2mdv2010.0
+ Revision: 456243
- suggests gtk module (bug#53651)

* Sun Sep 20 2009 Funda Wang <fwang@mandriva.org> 0.5.2-1mdv2010.0
+ Revision: 444810
- New version 0.5.2

* Tue Aug 18 2009 Funda Wang <fwang@mandriva.org> 0.5.1-2mdv2010.0
+ Revision: 417620
- re-enable browser plugin

* Sun Aug 09 2009 Funda Wang <fwang@mandriva.org> 0.5.1-1mdv2010.0
+ Revision: 412892
- new version 0.5.1

* Tue Jul 14 2009 Funda Wang <fwang@mandriva.org> 0.4.8-2mdv2010.0
+ Revision: 395961
- Add BR for archive

* Fri Jun 05 2009 Funda Wang <fwang@mandriva.org> 0.4.8-1mdv2010.0
+ Revision: 382932
- New version 0.4.8

* Tue May 12 2009 Funda Wang <fwang@mandriva.org> 0.4.7-1mdv2010.0
+ Revision: 374894
- New version 0.4.7

* Sun Apr 05 2009 Funda Wang <fwang@mandriva.org> 0.4.6-1mdv2010.0
+ Revision: 364170
- New version 0.4.6

* Sun Mar 15 2009 Funda Wang <fwang@mandriva.org> 0.4.5-1mdv2009.1
+ Revision: 355191
- update to new version 0.4.5

* Thu Mar 05 2009 Funda Wang <fwang@mandriva.org> 0.4.4-1mdv2009.1
+ Revision: 348974
- New version 0.4.4

* Tue Feb 03 2009 Funda Wang <fwang@mandriva.org> 0.4.3-1mdv2009.1
+ Revision: 336783
- New version 0.4.3

* Fri Jan 23 2009 Funda Wang <fwang@mandriva.org> 0.4.2-1mdv2009.1
+ Revision: 332704
- functionality moved to udev itself
- New version 0.4.2

* Thu Jan 15 2009 Funda Wang <fwang@mandriva.org> 0.4.1-1mdv2009.1
+ Revision: 329780
- disable ruck
- New version 0.4.1

* Sun Dec 28 2008 Funda Wang <fwang@mandriva.org> 0.4.0-2mdv2009.1
+ Revision: 320275
- rebuild for new python

* Sat Dec 13 2008 Funda Wang <fwang@mandriva.org> 0.4.0-1mdv2009.1
+ Revision: 313882
- add missing file
- add more modules
- drop la files
- new version 0.4.0

* Fri Nov 28 2008 Funda Wang <fwang@mandriva.org> 0.3.11-2mdv2009.1
+ Revision: 307362
- rebuild
- new major
- new version 0.3.11

* Wed Nov 12 2008 Funda Wang <fwang@mandriva.org> 0.3.10-1mdv2009.1
+ Revision: 302396
- fix file list
- New version 0.3.10

* Mon Oct 27 2008 Funda Wang <fwang@mandriva.org> 0.3.9-1mdv2009.1
+ Revision: 297550
- New version 0.3.9

* Thu Oct 23 2008 Funda Wang <fwang@mandriva.org> 0.3.8-4mdv2009.1
+ Revision: 296731
- cmake modules becomes kpackage inside

* Tue Oct 21 2008 Funda Wang <fwang@mandriva.org> 0.3.8-3mdv2009.1
+ Revision: 296147
- do not build gstreamer plugin
- install cmake modules for kpackagekit

* Tue Oct 21 2008 Funda Wang <fwang@mandriva.org> 0.3.8-2mdv2009.1
+ Revision: 296057
- add BR and requires
- Obsoletes old qt-devel
- New version 0.3.8

* Thu Oct 16 2008 Funda Wang <fwang@mandriva.org> 0.3.7-1mdv2009.1
+ Revision: 294094
- New version 0.3.7

* Sun Oct 12 2008 Funda Wang <fwang@mandriva.org> 0.3.6-1mdv2009.1
+ Revision: 292855
- New version 0.3.6
- customize vendro.conf, pointing to wiki for now

* Wed Oct 01 2008 Funda Wang <fwang@mandriva.org> 0.3.5-1mdv2009.0
+ Revision: 290296
- New version 0.3.5
- add browser plugin
- add upstream path to fix crash with large amount of transaction

* Sun Sep 21 2008 Funda Wang <fwang@mandriva.org> 0.3.3-1mdv2009.0
+ Revision: 286283
- New version 0.3.3

* Wed Sep 10 2008 Funda Wang <fwang@mandriva.org> 0.3.2-1mdv2009.0
+ Revision: 283419
- new major 4 -> 5
- 0.3.2

* Sun Aug 31 2008 Funda Wang <fwang@mandriva.org> 0.3.1-1mdv2009.0
+ Revision: 277769
- New version 0.3.1
- revert to ABI stable version 0.2.4
- New version 0.3.0

* Wed Aug 06 2008 Funda Wang <fwang@mandriva.org> 0.2.4-1mdv2009.0
+ Revision: 264778
- bump libmajor ( 3->4 )
- New version 0.2.4

* Sun Jul 13 2008 Funda Wang <fwang@mandriva.org> 0.2.3-1mdv2009.0
+ Revision: 234290
- import packagekit


